<?php
require_once './Control/ControlProduto.php';
require_once './Util/formAjax/FormAjax.php';
extract($_POST);
if (isset($pcpk))
{
    $pk = $pcpk;
}
$controlProduto = new ControlProduto();
if ($acao == 'inserir')
{
	$produtoCategoria = new Produtocategoria();
} else
{
	$produtoCategoria = $controlProduto->pegarUmProdutoCategoria($pk);
}
if ($acao != 'excluir')
{
    //$foto->lang = $lang;
    $produtoCategoria->setProdutoid($produtoid);
    $produtoCategoria->setCategoriaid(stripslashes($cbCategoriaID));
    switch ($acao) {	
            case 'alterar':
                    $retorno = $controlProduto->salvarProdutoCategoria($produtoCategoria);
                    break;
            case 'inserir':
                    $retorno = $controlProduto->salvarProdutoCategoria($produtoCategoria);
                    $acao = 'alterar';
                    $produtoCategoria->find(true);
                    $pk = $produtoCategoria->getProdutocategoriaid();
                    break;
    }
    if ($retorno == 0)
    {
        echo '<h1>Ops!</h1><p>Ocorreu algum erro!</p>';
    } else
    {   
        echo 'Registro foi salvo com sucesso!';
        $codJava = 'mostrarArquivoDados(\'' . $arqFrm .'\',\'#divCategoria\',\'acao=alterar&pk=' . $pk . '&lang=ptbr\');';
        echo '<script>' . $codJava . '</script>';
    }
} else {
        $retorno = $controlProduto->excluirProdutoCategoria($produtoCategoria);
        if ($retorno == 0)
        {
            echo '<h1>Ops!</h1><p>Ocorreu algum erro!</p>';
        } else
        {   
            echo 'Registro com ID: ' . $pk . ' excluido com sucesso!';
            $codJava = '$("#categoriaID_'. $pk . '").remove();';
            echo '<script>' . $codJava . '</script>';
        }
}
?>